OpenVDB: SplittableParticleArray< ParticleArrayT, PointIndex > Struct Template Reference

OpenVDB 8.1.0

Classes | Public Types | Public Member Functions | List of all members
SplittableParticleArray< ParticleArrayT, PointIndex > Struct Template Reference

`#include <ParticleAtlas.h>`

## Public Types
using | Ptr = SharedPtr< SplittableParticleArray >
using | ConstPtr = SharedPtr< const SplittableParticleArray >
using | ParticleArray = ParticleArrayT
using | PosType = typename ParticleArray::PosType
using | ScalarType = typename PosType::value_type

## Public Member Functions
| SplittableParticleArray (const ParticleArrayT &particles)
| SplittableParticleArray (const ParticleArrayT &particles, double minR, double maxR)
const ParticleArrayT & | particleArray () const
size_t | size () const
void | getPos (size_t n, PosType &xyz) const
void | getRadius (size_t n, ScalarType &radius) const
ScalarType | minRadius () const
ScalarType | maxRadius () const
size_t | getGlobalIndex (size_t n) const
Ptr | split (ScalarType maxRadiusLimit)

## Member Typedef Documentation

## ◆ ConstPtr

using ConstPtr = SharedPtr<const SplittableParticleArray>

## ◆ ParticleArray

using ParticleArray = ParticleArrayT

## ◆ PosType

using PosType = typename ParticleArray::PosType

## ◆ Ptr

using Ptr = SharedPtr<SplittableParticleArray>

## ◆ ScalarType

using ScalarType = typename PosType::value_type

## Constructor & Destructor Documentation

## ◆ SplittableParticleArray() [1/2]

SplittableParticleArray | ( | const ParticleArrayT & | particles | ) |
| inline

## ◆ SplittableParticleArray() [2/2]

SplittableParticleArray | ( | const ParticleArrayT & | particles,
|  | double | minR,
|  | double | maxR
| ) |  |
| inline

## Member Function Documentation

## ◆ getGlobalIndex()

size_t getGlobalIndex | ( | size_t | n | ) | const
| inline

## ◆ getPos()

void getPos | ( | size_t | n,
|  | PosType & | xyz
| ) |  | const
| inline

## ◆ getRadius()

void getRadius | ( | size_t | n,
|  | ScalarType & | radius
| ) |  | const
| inline

## ◆ maxRadius()

ScalarType maxRadius | ( |  | ) | const
| inline

## ◆ minRadius()

ScalarType minRadius | ( |  | ) | const
| inline

## ◆ particleArray()

const ParticleArrayT& particleArray | ( |  | ) | const
| inline

## ◆ size()

size_t size | ( |  | ) | const
| inline

## ◆ split()

Ptr split | ( | ScalarType | maxRadiusLimit | ) |
| inline

Move all particle indices that have a radius larger or equal to maxRadiusLimit into a separate container.

The documentation for this struct was generated from the following file:

- ParticleAtlas.h